Subject: Re: linux-next: build failure after merge of the backlight tree

From: Lee Jones <[email-masked]>
Date: Tue, 5 Mar 2024 09:17:37 +0000

On Tue, 05 Mar 2024, Stephen Rothwell wrote:

> Hi all,
> 
> On Mon, 26 Feb 2024 13:28:28 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > After merging the backlight tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > drivers/video/backlight/ktd2801-backlight.c:8:10: fatal error: linux/leds-expresswire.h: No such file or directory
> >     8 | #include <linux/leds-expresswire.h>
> >       |          ^~~~~~~~~~~~~~~~~~~~~~~~~~
> > 
> > Caused by commit
> > 
> >   48749e2f14e3 ("backlight: Add Kinetic KTD2801 backlight support")
> > 
> > I have used the backlight tree from next-20240223 for today.
> 
> I am still getting this failure.

I just pushed a bunch of patches.

Please let me know if this is still an issue tomorrow.

-- 
Lee Jones [李琼斯]